package de.mrbesen.telegram.objects;

import java.util.ArrayList;

import org.json.JSONArray;
import org.json.JSONObject;

public class TInlineKeyboardMarkup implements TReplyMarkup {

	ArrayList<JSONArray> arr_btn = new ArrayList<>();
	
	public TInlineKeyboardMarkup(int rows) {
		if(rows < 1)
			throw new IllegalArgumentException("You need at least one row.");
		arr_btn = new ArrayList<JSONArray>();
		
		for( int row = 0; row < rows; row++ ) {
			arr_btn.add(new JSONArray());
		}	
		System.out.println("break here");
	}
	
	public TInlineKeyboardMarkup addButton(String title, String url, int row) {
		arr_btn.get(row-1).put(new JSONObject().put("text", title).put("url", url));
		return this;
	}
	
	@Override
	public String toJSONString() {
		JSONArray ja = new JSONArray(arr_btn);
		JSONObject jo = new JSONObject();
		jo.put("inline_keyboard", ja);
		return jo.toString();
	}

}
