package de.mrbesen.test;

import java.util.Random;
import java.util.Scanner;

import de.mrbesen.telegram.TelegramAPI;
import de.mrbesen.telegram.commands.CommandHandler;
import de.mrbesen.telegram.event.EventHandler;
import de.mrbesen.telegram.event.EventListener;
import de.mrbesen.telegram.event.events.UserSendMessageEvent;
import de.mrbesen.telegram.objects.TInlineKeyboardMarkup;
import de.mrbesen.telegram.objects.TUser;
import de.mrbesen.telegram.objects.TUser.Status;

public class Main implements CommandHandler, Runnable, EventListener {

	TelegramAPI api;
	
	public static void main(String[] args) {
		new Main().run();
	}

	public Main() {
		api = new TelegramAPI("577609137:AAGrlfMHAOQPzN6w9ceNSgFZZCbaiK4gAnw");
		api.getCommandManager().registerCommand("test", this);
		api.getEventManager().registerEvent(this);
	}
	
	@EventHandler
	public void eventbla(UserSendMessageEvent e) {
		e.getUser().sendMessage(e.getMessage().getText().replace(' ', '-'));
		int i = new Random().nextInt(Status.values().length);
		e.getUser().sendStatus(Status.values()[i]);
	}
	
	@Override
	public void run() {
		api.start();
		Scanner s = new Scanner(System.in);
		s.nextLine();
		s.close();
		api.stop();
		System.out.println("Terminated.");
	}

	@Override
	public boolean onCommand(TUser sender, String cmd, String[] args) {
		if(cmd.equals("test")) {
//			sender.sendMessage("Ja moin!");
					
			sender.sendMessage("Links zu antippen:", 
					new TInlineKeyboardMarkup(2)
						.addButton("gg","https://green-gaming.de", 1)
						.addButton("ok", "https://oliver-kaestner.de", 1)
						.addButton("mrB", "https://mrbesen.de", 2));
			
			return true;
		}
		return false;
	}
}
